SU(1)

NAME
su - temporary become superuser or another user

SYNOPSIS
su [-[e]] [user [shell-arguments ...]]

DESCRIPTION
Su can be used to temporarily run a shell under the identity of the superuser or another user. Unless the caller is a member of the operator group, one is prompted for the password of the user-to-be. Calls that need a password are logged, whether they succeed or not. The default user is root. Further arguments are handed to the shell. By default the shell started is the shell of the invoker, and the environment is passed on as is.

The activities of su are logged through syslog(3) under Minix-vmd.

OPTIONS

-   Constructs a new environment consisting of the PATH, USER, LOGNAME, HOME, SHELL, TERM, TERMCAP, and TZ variables. The environment is the same as on a normal login, except that TERM, TERMCAP and TZ are copied from the current environment if set. The current working directory is changed to the user home directory, the shell of the user-to-be is run, and it is started as a login shell, with the first character a minus sign.

-e  Like above, but the shell is started normally, not as a login shell.

SEE ALSO
sh(1), login(1), syslog(3).

AUTHOR
Kees J. Bot <kjb@cs.vu.nl>